aboutsummaryrefslogtreecommitdiffstats
path: root/t.validate-xhtml
diff options
context:
space:
mode:
Diffstat (limited to 't.validate-xhtml')
-rwxr-xr-xt.validate-xhtml15
1 files changed, 15 insertions, 0 deletions
diff --git a/t.validate-xhtml b/t.validate-xhtml
new file mode 100755
index 00000000..e3271988
--- /dev/null
+++ b/t.validate-xhtml
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+# This test script validates all *.html files as XHTML.
+
+set -e
+e=0
+fail=
+IFS=$(printf '\n\t')
+for i in "${srcdir}"/*.html ; do
+ xmllint --postvalid --noout "$i" || { e=1 ; fail="$i${fail:+" "}$fail" ; }
+done
+if [ $e != 0 ] ; then
+ echo >&2 ">>>>> Invalid XHTML in files: ${fail}."
+fi
+exit $e